## r-cran-pammtools 0.5.8

=== DESCRIPTION ===
Package: pammtools
Title: Piece-Wise Exponential Additive Mixed Modeling Tools for
        Survival Analysis
Version: 0.5.8
Date: 2022-01-04
Authors@R: c(
    person("Andreas", "Bender", , "andreas.bender@stat.uni-muenchen.de", role = c("aut", "cre"), comment=c(ORCID = "0000-0001-5628-8611")),
    person("Fabian", "Scheipl", , "fabian.scheipl@stat.uni-muenchen.de", role = c("aut"), comment = c(ORCID = "0000-0001-8172-3603")),
    person("Philipp", "Kopper", , "philipp.kopper@stat.uni-muenchen.de", role = c("aut"), comment = c(ORCID="0000-0002-5037-7135")),
    person("Lukas", "Burk", , "burk@leibniz-bips.de", role = c("ctb"),
        comment = c(ORCID="0000-0001-7528-3795")))
Description: The Piece-wise exponential (Additive Mixed) Model
    (PAMM; Bender and others (2018) <doi: 10.1177/1471082X17748083>) is a
    powerful model class for the analysis of survival (or time-to-event) data,
    based on Generalized Additive (Mixed) Models (GA(M)Ms). It offers intuitive specification and robust estimation of complex survival models with stratified baseline hazards, random effects, time-varying effects, time-dependent covariates and cumulative effects (Bender and others (2019)), as well as support for left-truncated, competing risks and recurrent events data.
    pammtools provides tidy workflow for survival analysis with PAMMs,
    including data simulation, transformation and other functions for data
    preprocessing and model post-processing as well as visualization.
Depends: R (>= 3.5.0)
Imports: mgcv, survival (>= 2.39-5), checkmate, magrittr, rlang, tidyr
        (>= 1.0.0), ggplot2 (>= 3.2.2), dplyr (>= 1.0.0), purrr (>=
        0.2.3), tibble, lazyeval, Formula, mvtnorm, pec, vctrs (>=
        0.3.0)
Suggests: testthat
License: MIT + file LICENSE
LazyData: true
URL: https://adibender.github.io/pammtools/
BugReports: https://github.com/adibender/pammtools/issues
RoxygenNote: 7.1.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2022-01-08 09:57:48 UTC; ab
Author: Andreas Bender [aut, cre] (<https://orcid.org/0000-0001-5628-8611>),
  Fabian Scheipl [aut] (<https://orcid.org/0000-0001-8172-3603>),
  Philipp Kopper [aut] (<https://orcid.org/0000-0002-5037-7135>),
  Lukas Burk [ctb] (<https://orcid.org/0000-0001-7528-3795>)
Maintainer: Andreas Bender <andreas.bender@stat.uni-muenchen.de>
Repository: CRAN
Date/Publication: 2022-01-09 03:32:43 UTC

=== debian/changelog ===
r-cran-pammtools (0.5.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Jan 2022 15:53:14 +0000

r-cran-pammtools (0.5.7-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload to unstable

 -- Nilesh Patra <nilesh@debian.org>  Wed, 29 Dec 2021 00:43:14 +0530

r-cran-pammtools (0.5.7-1) unstable; urgency=medium

  * Initial release (closes: #1001108)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Dec 2021 17:35:27 +0100

=== debian/control ===
Source: r-cran-pammtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mgcv,
               r-cran-survival,
               r-cran-checkmate,
               r-cran-magrittr,
               r-cran-rlang,
               r-cran-tidyr (>= 1.0.0),
               r-cran-ggplot2 (>= 3.2.2),
               r-cran-dplyr (>= 1.0.0),
               r-cran-purrr,
               r-cran-tibble,
               r-cran-lazyeval,
               r-cran-formula,
               r-cran-mvtnorm,
               r-cran-pec,
               r-cran-vctrs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pammtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pammtools.git
Homepage: https://cran.r-project.org/package=pammtools
Rules-Requires-Root: no

Package: r-cran-pammtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R piece-wise exponential additive mixed modeling tools
 This package provides piece-wise exponential additive mixed modeling
 tools for survival analysis. The Piece-wise exponential (Additive Mixed)
 Model (PAMM; Bender and others (2018) <doi: 10.1177/1471082X17748083>)
 is a powerful model class for the analysis of survival (or time-to-
 event) data, based on Generalized Additive (Mixed) Models (GA(M)Ms). It
 offers intuitive specification and robust estimation of complex survival
 models with stratified baseline hazards, random effects, time-varying
 effects, time-dependent covariates and cumulative effects (Bender and
 others (2019)), as well as support for left-truncated, competing risks
 and recurrent events data. pammtools provides tidy workflow for survival
 analysis with PAMMs, including data simulation, transformation and other
 functions for data preprocessing and model post-processing as well as
 visualization.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pammtools_([-\d.]*)\.tar\.gz

## r-cran-pammtools 0.5.91

=== debian/changelog ===
r-cran-pammtools (0.5.91-3) unstable; urgency=medium

  * Artificial versioned Depends r-cran-mvtnorm (>= 1.2-2-1~) to enable
    migration to testing
    Closes: #1039510

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 16:29:59 +0200

r-cran-pammtools (0.5.91-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039657 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 15:00:42 +0200

r-cran-pammtools (0.5.91-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 11:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                r-cran-checkmate,
                r-cran-magrittr,
                r-cran-rlang,
-               r-cran-tidyr (>= 1.0.0),
-               r-cran-ggplot2 (>= 3.2.2),
-               r-cran-dplyr (>= 1.0.0),
+               r-cran-tidyr,
+               r-cran-ggplot2,
+               r-cran-dplyr,
                r-cran-purrr,
                r-cran-tibble,
                r-cran-lazyeval,
                r-cran-formula,
-               r-cran-mvtnorm,
+               r-cran-mvtnorm (>= 1.2-2-1~),
                r-cran-pec,
                r-cran-vctrs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pammtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pammtools.git
 Homepage: https://cran.r-project.org/package=pammtools

## r-cran-pammtools 0.5.92

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pammtools
 Title: Piece-Wise Exponential Additive Mixed Modeling Tools for
         Survival Analysis
-Version: 0.5.8
-Date: 2022-01-04
+Version: 0.5.92
+Date: 2023-07-09
 Authors@R: c(
     person("Andreas", "Bender", , "andreas.bender@stat.uni-muenchen.de", role = c("aut", "cre"), comment=c(ORCID = "0000-0001-5628-8611")),
     person("Fabian", "Scheipl", , "fabian.scheipl@stat.uni-muenchen.de", role = c("aut"), comment = c(ORCID = "0000-0001-8172-3603")),
@@ -29,11 +29,11 @@
 RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2022-01-08 09:57:48 UTC; ab
+Packaged: 2023-07-11 17:36:55 UTC; ab
 Author: Andreas Bender [aut, cre] (<https://orcid.org/0000-0001-5628-8611>),
   Fabian Scheipl [aut] (<https://orcid.org/0000-0001-8172-3603>),
   Philipp Kopper [aut] (<https://orcid.org/0000-0002-5037-7135>),
   Lukas Burk [ctb] (<https://orcid.org/0000-0001-7528-3795>)
 Maintainer: Andreas Bender <andreas.bender@stat.uni-muenchen.de>
 Repository: CRAN
-Date/Publication: 2022-01-09 03:32:43 UTC
+Date/Publication: 2023-07-13 00:10:02 UTC

=== debian/changelog ===
r-cran-pammtools (0.5.92-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-cran-tibble,
                r-cran-lazyeval,
                r-cran-formula,
-               r-cran-mvtnorm (>= 1.2-2-1~),
+               r-cran-mvtnorm,
                r-cran-pec,
                r-cran-vctrs
 Standards-Version: 4.6.2

## r-cran-pammtools 0.5.93

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pammtools
 Title: Piece-Wise Exponential Additive Mixed Modeling Tools for
         Survival Analysis
-Version: 0.5.92
-Date: 2023-07-09
+Version: 0.5.93
+Date: 2024-02-24
 Authors@R: c(
     person("Andreas", "Bender", , "andreas.bender@stat.uni-muenchen.de", role = c("aut", "cre"), comment=c(ORCID = "0000-0001-5628-8611")),
     person("Fabian", "Scheipl", , "fabian.scheipl@stat.uni-muenchen.de", role = c("aut"), comment = c(ORCID = "0000-0001-8172-3603")),
@@ -22,6 +22,7 @@
         0.2.3), tibble, lazyeval, Formula, mvtnorm, pec, vctrs (>=
         0.3.0)
 Suggests: testthat
+Config/Needs/website: coxme, eha, etm, scam, TBFmultinomial
 License: MIT + file LICENSE
 LazyData: true
 URL: https://adibender.github.io/pammtools/
@@ -29,11 +30,11 @@
 RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-07-11 17:36:55 UTC; ab
+Packaged: 2024-02-25 09:45:24 UTC; ab
 Author: Andreas Bender [aut, cre] (<https://orcid.org/0000-0001-5628-8611>),
   Fabian Scheipl [aut] (<https://orcid.org/0000-0001-8172-3603>),
   Philipp Kopper [aut] (<https://orcid.org/0000-0002-5037-7135>),
   Lukas Burk [ctb] (<https://orcid.org/0000-0001-7528-3795>)
 Maintainer: Andreas Bender <andreas.bender@stat.uni-muenchen.de>
 Repository: CRAN
-Date/Publication: 2023-07-13 00:10:02 UTC
+Date/Publication: 2024-02-25 10:10:02 UTC

=== debian/changelog ===
r-cran-pammtools (0.5.93-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 16:13:49 +0900

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                r-cran-mvtnorm,
                r-cran-pec,
                r-cran-vctrs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pammtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pammtools.git
 Homepage: https://cran.r-project.org/package=pammtools
